javax.persistence

## Class NoResultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.NoResultException

All Implemented Interfaces:
  Serializable

    public class NoResultException
    extends PersistenceException

Thrown by the persistence provider when `Query.getSingleResult()` or `TypedQuery.getSingleResult()`is executed on a query and there is no result to return. This exception will not cause the current transaction, if one is active, to be marked for rollback.

Since:
  Java Persistence 1.0
See Also:
  `Query.getSingleResult()`, `TypedQuery.getSingleResult()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoResultException()` Constructs a new `NoResultException` exception with `null` as its detail message.
`NoResultException(String message)` Constructs a new `NoResultException` exception with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoResultException

    public NoResultException()

Constructs a new `NoResultException` exception with `null` as its detail message.

#### NoResultException

    public NoResultException(String message)

Constructs a new `NoResultException` exception with the specified detail message.

Parameters:
  `message` - the detail message.